Subject: Re: bug#33887: 26.1; Emacs hangs for several seconds when going to the end of an XML file in nXML mode

From: Vincent Lefevre <[email-masked]>
Date: Fri, 17 May 2019 23:36:02 +0200

On 2019-05-16 08:15:58 -0400, Noam Postavsky wrote:
> The corrected patch would be as follows:
[...]

I've tried the combination of

  ca14dd1d4628094dd33d5d94694dcf5f29e843b8
  7dab3ee7ab54b3c2e7bc24170376054786c01d6f

and this patch against Debian's current source package.

Emacs no longer hangs, but I get incorrect highlighting,
for instance on the following XML file.

<root>
<!-- comment -->
<a>"a'</a>
<!-- comment -->
</root>

Highlighting starts to be wrong at the single-quote character.
I've attached a screenshot obtained with the -Q option.

Did I miss anything?

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)